Get a SEPA Direct Debit mandate
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"direct_debit_mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_mandate_reference": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_signature",
"is_cancelable": true,
"created_at": "2023-11-07T05:31:56Z",
"mandate_signature_date": "2026-01-01T00:00:00Z",
"schedule_type": "one_off",
"notify_client": true,
"payment_info": {
"first_payment": {
"collection_date": "2026-10-15",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>"
},
"notify_client": true,
"schedule_type": "one_off",
"schedule_custom_interval": 2,
"schedule_custom_unit": "weeks",
"schedule_total_collection_count": 12
},
"sign_url": "<string>",
"iban": "FR7630006000011234567890189"
}
}SEPA Direct Debit mandates
Get a SEPA Direct Debit mandate
Get a single SEPA Direct Debit mandate by ID.
GET
/
v2
/
sepa
/
direct_debit_mandates
/
{direct_debit_mandate_id}
Get a SEPA Direct Debit mandate
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"direct_debit_mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_mandate_reference": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_signature",
"is_cancelable": true,
"created_at": "2023-11-07T05:31:56Z",
"mandate_signature_date": "2026-01-01T00:00:00Z",
"schedule_type": "one_off",
"notify_client": true,
"payment_info": {
"first_payment": {
"collection_date": "2026-10-15",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>"
},
"notify_client": true,
"schedule_type": "one_off",
"schedule_custom_interval": 2,
"schedule_custom_unit": "weeks",
"schedule_total_collection_count": 12
},
"sign_url": "<string>",
"iban": "FR7630006000011234567890189"
}
}Authentication: API key OAuth 2.0
Scope:
Scope:
sepa_direct_debit.read
Related guide: Collect payments with SEPA Direct Debit
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The SEPA Direct Debit mandate ID
Response
The SEPA Direct Debit mandate has been retrieved successfully.
Show child attributes
Show child attributes
Was this page helpful?